package com.novitechie.rules;

import com.janetfilter.core.commons.DebugInfo;

import java.util.ArrayList;
import java.util.List;

public class LoadClassRule {

    private static final List<String> PREVENT_LOAD_PACKAGES = new ArrayList<String>() {
        {
            // add("com.novitechie");
            add("com.janetfilter");
            add("jdk.internal.org.objectweb.asm");
        }
    };

    public static void check(String name) throws Exception {
        if (PREVENT_LOAD_PACKAGES.stream().anyMatch(name::startsWith)) {
            DebugInfo.output("======================LoadClass: " + name);
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            DebugInfo.output("===========================stackTrace: ");
            for (StackTraceElement stackTraceElement : stackTrace) {
                DebugInfo.output(stackTraceElement.getClassName() + ":" + stackTraceElement.getMethodName());
            }
            throw new ClassNotFoundException(name);
        }
    }

}
